common/urls.py
# -*- coding: utf-8 -*-

from __future__ import unicode_literals

from django.conf.urls import url
from . import views

app_name = 'common'

urlpatterns = [
    # index
    url(r'^$',        views.index,     name='index'),
    # None
    url(r'^none/',    views.None404,        name='none'),
    # About
    url(r'^about/$', views.About.as_view(), name='about'),

    # About
    url(r'^config/$', views.config, name='config'),
]

myprofile/urls.py
from django.conf.urls import url
from . import views
from django.views.generic import TemplateView

app_name = 'myprofile'
urlpatterns = [
    url(r'^$',                       views.detail, name='detail'),
    url(r'^(?P<pk>[0-9]+)$',         views.detail_1, name='detail_1'),
    url(r'update/',                  views.update, name='update'),
]

ptt-amb/urls.py
from django.conf.urls import include, url
from django.contrib import admin
from django.views.generic.base import TemplateView
from django.contrib.auth import views as auth_views
#from filebrowser.sites import site
admin.autodiscover()
#import xadmin
#xadmin.autodiscover()

urlpatterns = [

    url(r'^',                   include('common.urls',    namespace='com')),
    url(r'^admin/',             admin.site.urls),
    url(r'^activity/',          include('actstream.urls')),
    url(r'^auth/',              include('django.contrib.auth.urls')),
    url(r'^accounts/',          include('registration.backends.default.urls')),
    url(r'^accounts/profile/',  include('myprofile.urls')),
    url(r'^actions/',           include('actions.urls')),

    #url(r'xadmin/',            include(xadmin.site.urls)),
    #url(r'^myapp/',            include('myapp.urls')),
    #url(r'^test/',             include('test_app.urls')),
    #url(r'^article/',          include('articles.urls',        namespace='articles')),
    #url(r'^org/',              include('organizacion.urls',   namespace='org')),
    url(r'^exp/',               include('expedientes.urls',    namespace='exp')),
    url(r'^sol/',               include('solicitud.urls',    namespace='sol')),
    url(r'^spatial/',           include('spatialMod.urls',    namespace='spa')),
    #url(r'^common/', include('common.urls', namespace='common')),

]

from django.conf.urls import (
handler400, handler403, handler404, handler500
)

#handler400 = 'my_app.views.bad_request'
#handler403 = 'my_app.views.permission_denied'
handler404 = 'common.views.None404'
#handler500 = 'my_app.views.server_error'

myprofile/models.py
# models.py

from actstream import registry
from django.db import models
from django.core.validators import RegexValidator
from django.contrib.auth.models import User
from django.contrib.auth.models import Group, Permission
from guardian.compat import reverse

from django.db.models.signals import post_save
from common.choices import MUNICIPIO, GENERO, CARGOS

from common.models import CapitalizePhrase

"""
fiels of from django.contrib.auth.models import User
class AbstractUser ()
    username
    first_name
    last_name
    email

 boleans
    is_staff
    is_active
"""


class UserProfile(models.Model):
    user = models.OneToOneField(User, related_name='user')
    numDoc = models.CharField("Numero de Documento", max_length=20, validators=[RegexValidator(r'^\d{1,12}$')], default='')

    firsrtName = models.CharField("Nombres" ,max_length=300, )
    lastName = models.CharField("Apellidos" ,max_length=300, )
    gender = models.CharField("Genero",max_length=50, choices=GENERO, blank=True)

    municipality = models.CharField("Municipio de Residencia",max_length=50, choices=MUNICIPIO, blank=True)
    address = models.CharField("Dirección Residencia" ,max_length=100,  blank=True)
    phone = models.CharField("Número de Teléfono",max_length=20, blank=True)

    def __str__(self):
        #return self.user.username + " " + self.numDoc + " " +self.firsrtName + " " +self.lastName
        return self.user.username

    def get_absolute_url(self):
        return reverse('myprofile:detail_1', kwargs={'pk': self.id})
        #return reverse('myprofile:detail', kwargs={'pk': self.id})
        #return "%i/" % self.id
    def save(self, force_insert=False, force_update=False):
        self.lastName = self.lastName.upper().strip()
        self.firsrtName = CapitalizePhrase(self.firsrtName)
        super(UserProfile, self).save(force_insert, force_update)

        if Group.objects.filter(name = 'solicitantes'):
            if not self.user.groups.filter(name = 'solicitantes'):
                #add
                print("add")
                g_sol = Group.objects.get(name = 'solicitantes')
                self.user.groups.add(g_sol)
            else:
                # nothing
                print("ya esta en el grupo")
        else:
            print("No existe el grupo")

def create_profile(sender, **kwargs):
    user = kwargs["instance"]
    if kwargs["created"]:
        user_profile = UserProfile(user=user)
        user_profile.save()
post_save.connect(create_profile, sender=User)

class CustomUser(User):
    phone = models.CharField("Número de Teléfono",max_length=20, blank=True)

    class Meta:
        abstract = True

class Petitioner(CustomUser):
    numDoc = models.CharField("Numero de Documento", max_length=20, validators=[RegexValidator(r'^\d{1,12}$')], default='')
    gender = models.CharField("Genero",max_length=50, choices=GENERO, blank=True)
    municipality = models.CharField("Municipio de Residencia",max_length=50, choices=MUNICIPIO, blank=True)
    address = models.CharField("Dirección Residencia" ,max_length=100,  blank=True)


class Employee (CustomUser):
    occupation = models.CharField("Cargo laboral" ,max_length=100, choices=CARGOS,  blank=True)

myprofile/forms.py
from django import forms
from django.contrib.auth.models import User
from .models import UserProfile

class UserForm(forms.ModelForm):
    class Meta:
        model = User
        fields = ('first_name', 'last_name', 'email')

class UserProfileForm(forms.ModelForm):
    class Meta:
        model = UserProfile
        fields = '__all__'
        exclude = ['user']
        #fields = ['first_name', 'last_name', 'email']

myprofile/views.py
# views.py
from django.contrib.auth.decorators import login_required, permission_required
from django.contrib.auth.models import User
from django.forms.models import inlineformset_factory
from django.shortcuts import render, HttpResponseRedirect, HttpResponse

# importaciones de paquetes
from common.actions import CommonVerbs
from actstream import action

# importaciones propias del app
from .models import UserProfile
from .forms import UserProfileForm, UserForm

@login_required
def update(request):
    user = User.objects.get(pk=request.user.pk)
    form = UserForm(instance=user)

    userProf = UserProfile.objects.get(user=user)

    ProfileInlineFormset = inlineformset_factory(User, UserProfile, fields=('__all__'))
    formset = ProfileInlineFormset(instance=user)

    if request.method == "POST":
        form = UserForm(request.POST, request.FILES, instance=user)
        formset = ProfileInlineFormset(request.POST, request.FILES, instance=user)

        if form.is_valid():
            created_user = form.save(commit=False)
            formset = ProfileInlineFormset(request.POST, request.FILES, instance=created_user)

            if formset.is_valid():
                action.send(request.user, verb=CommonVerbs("save"), description= "perfil de usuario", action_object=userProf)
                created_user.save()
                formset.save()
                return HttpResponseRedirect('/accounts/profile/')

    action.send(request.user, verb=CommonVerbs("edit"), description= "perfil de usuario", action_object=userProf)

    #action.send(request.user, verb='created model', action_object=model)



    template = "edit.html"
    context = {
        "form": form,
        "formset": formset,
    }
    return render(request, template, context)

@login_required
def detail(request):
    user = User.objects.get(pk=request.user.pk)
    userProf = UserProfile.objects.get(user=user)

    #action.send(request.user, verb=CommonVerbs("see"), description= "perfil de usuario")
    action.send(request.user, verb=CommonVerbs("see"), description= "perfil de usuario", action_object=userProf)

    template = 'detail.html'
    context = {
    'user': user,
    'userProf': userProf
    }

    return render(request, template, context)
    #return HttpResponse(template.render(context, request))

@permission_required('is_superuser')
# por el momento solo le pongo la seguridad a que lo pueda hacer un super usuario
def detail_1(request, pk):
    # toca aplicarle seguridad a esta vista para que solo tenga acceso los administrativos
    user = User.objects.get(pk=pk)
    userProf = UserProfile.objects.get(user=user)

    action.send(request.user, verb=CommonVerbs("see"), description= "perfil de usuario", action_object=userProf)

    template = 'detail.html'
    context = {
    'user': user,
    'userProf': userProf
    }

    return render(request, template, context)
    #return HttpResponse(template.render(context, request))

myprofile/templates/detail.html
{% extends "base.html" %}

{% block title %} AMB - {{ user.username }} - Profile {% endblock %}
    {% block content %}
    <h4 class="ui horizontal divider header">
      <i class="fa fa-user" aria-hidden="true"></i>
      Datos de Perfil
    </h4>
    {# {% if request.user.is_staff %} #}
      <table class="ui definition table">
        <tbody>
          <tr>
            <td class="two wide column"></td>
            <td></td>
          </tr>
          <tr>
            <td>Nombre de Usuario</td>
            <td>{{ user.username }}</td>
          </tr>
          <tr>
          <tr>
            <td>Correo Electronico</td>
            <td>{{ user.email }} </td>
          </tr>
            <td>Nombre</td>
            <td>{{ user.first_name }}</td>
          </tr>
          <tr>
            <td>Apellido</td>
            <td>{{ user.last_name }}</td>
          </tr>
        </tbody>
      </table>
      {# {% else %}  #}
        <table class="ui definition table">
          <tbody>
            <tr>
              <td class="two wide column"></td>
              <td></td>
            </tr>
            <tr>
              <td>Nombre</td>
              <td>{{ userProf.firsrtName }} </td>
            </tr>
            <tr>
              <td>Apellido</td>
              <td>{{ userProf.lastName }}</td>
            </tr>
            <tr>
            <tr>
              <td>Correo Electrónico</td>
              <td>{{ user.email }} </td>
            </tr>
            <tr>
              <td>Número de Documento</td>
              <td>{{ userProf.numDoc }} </td>
            </tr>
              <td>Genero</td>
              <td>{{ userProf.gender }}</td>
            </tr>
            <tr>
              <td>Municipio</td>
              <td>{{ userProf.municipality }}</td>
            </tr>
            <tr>
              <td>Dirección</td>
              <td>{{ userProf.address }}</td>
            </tr>
            <tr>
              <td>Teléfono</td>
              <td>{{ userProf.phone }}</td>
            </tr>
          </tbody>
        </table>
    {# {% endif %} #}

    <a class="ui primary button" href="{% url 'myprofile:update' %} ">
      <i class="fa fa-pencil" aria-hidden="true"></i>
      Editar
    </a>

    <a class="ui primary button pull-right" href="{% url 'password_change' %}">
      <i class="fa fa-key" aria-hidden="true"></i>
      cambiar contraseña
    </a>


	{% endblock %}

myprofile/templates/edit.html
{% extends "base.html" %}

{% block title %} AMB - {{ user.username }} - Edit {% endblock %}
{% load static semanticui %}
    {% block content %}

<div class="ui middle aligned grid">
  <div class="column">
      <h2 class="ui header">
        <div class="content">
          Actualizar información
        </div>
      </h2>
      <form class="ui form" method="POST">
        <div class="ui stacked segment">
          {% csrf_token %}
            {# {% if request.user.is_staff %} #}
              <div class="ui attached segment">
                {% render_form form  %}
              </div>
            {# {#% else %} #}
              <div class="ui attached segment">
                {{ formset.as_p }}
              </div>
            {# {#% endif %} #}
          <br>
          <a href="#" onclick="window.history.back(); return false;" title="Cancel" class="ui button">
            <i class="fa fa-arrow-left" aria-hidden="true"></i>
            Volver
          </a>
          <button type="submit" class="ui primary button">
            <i class="fa fa-floppy-o" aria-hidden="true"></i>
              Guardar
          </button>
        </div>
        <div class="ui error message"></div>
      </form>
  </div>
</div>


    {% endblock %}